Package it.ernytech.tdlib

## Class TdApi.UpdateUserChatAction

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateUserChatAction

Enclosing class:
  TdApi

    public static class TdApi.UpdateUserChatAction
    extends TdApi.Update

User activity in the chat has changed.

### Field Summary

Fields
`TdApi.ChatAction` `action` The action description.
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `userId` Identifier of a user performing an action.

### Constructor Summary

Constructors
`UpdateUserChatAction()` Default constructor.
`UpdateUserChatAction​(long chatId, int userId, TdApi.ChatAction action)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### userId

    public int userId

Identifier of a user performing an action.

#### action

    public TdApi.ChatAction action

The action description.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateUserChatAction

    public UpdateUserChatAction()

Default constructor.

#### UpdateUserChatAction

    public UpdateUserChatAction​(long chatId,
                                int userId,
                                TdApi.ChatAction action)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `userId` - Identifier of a user performing an action.
  `action` - The action description.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR